%define upstream_name kaitaistruct

Name:           python-%{upstream_name}
Version:        0.9
Release:        %mkrel 1
Summary:        Kaitai Struct declarative parser generator for binary data
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/kaitaistruct/
Source0:        https://files.pythonhosted.org/packages/source/a/%{upstream_name}/%{upstream_name}-%{version}.tar.gz
BuildArch:      noarch

%description
This library implements Kaitai Struct API for Python.

%package -n     python3-%{upstream_name}
Summary:        Kaitai Struct declarative parser generator for binary data
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description -n python3-%{upstream_name}
ACME protocol implementation in Python 3.

%prep
%setup -q -n %{upstream_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{upstream_name}
%{python3_sitelib}/kaitaistruct.*
%{python3_sitelib}/__pycache__/kaitaistruct.*
%{python3_sitelib}/kaitaistruct-%{version}-*.egg-info


%changelog
* Fri Oct 23 2020 guillomovitch <guillomovitch> 0.9-1.mga8
+ Revision: 1638938
- new version 0.9

* Thu Jul 23 2020 ovitters <ovitters> 0.8-5.mga8
+ Revision: 1608281
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 0.8-4.mga8
+ Revision: 1533053
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 0.8-3.mga8
+ Revision: 1443263
- rebuild for python-3.8
- drop python2 subpkg

* Sat Mar 16 2019 guillomovitch <guillomovitch> 0.8-2.mga7
+ Revision: 1377959
- fix project URL
- new version 0.8

* Tue Jan 08 2019 tv <tv> 0.7-3.mga7
+ Revision: 1351629
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.7-2.mga7
+ Revision: 1289161
- Mageia 7 Mass Rebuild

* Thu Oct 12 2017 guillomovitch <guillomovitch> 0.7-1.mga7
+ Revision: 1171185
- imported package python-kaitaistruct

